//
// JmsaQueueBrowser.java - JMS Adapter QueueBrowser
//

package nyangau.jmsadapter;

import java.util.Enumeration;
import javax.jms.*;

public class JmsaQueueBrowser implements QueueBrowser
  {
  protected QueueBrowser qb;
  protected FlowProcessor fp;
//...sJmsaQueueBrowser:2:
public JmsaQueueBrowser(
  QueueBrowser browser,
  FlowProcessor flowproc
  )
  {
  qb = browser;
  fp = flowproc;
  }
//...e
//...sgetEnumeration:2:
public Enumeration getEnumeration()
  throws JMSException
  { return new JmsaQueueBrowserEnumeration( qb.getEnumeration(), fp ); }
//...e
//...sgetMessageSelector:2:
public String getMessageSelector()
  throws JMSException
  { return qb.getMessageSelector(); }
//...e
//...sclose:2:
public void close()
  throws JMSException
  { qb.close(); }
//...e
//...sgetQueue:2:
public Queue getQueue()
  throws JMSException
  { return qb.getQueue(); }
//...e
  }
